Subject: Re: Debian, Linux, the FSSTND, the FHS and BSD

From: [email-masked] (Bruce Perens)
Date: Sun, 11 Aug 96 21:59 PDT

From: Ian Jackson <[email-masked]>

> I lost this argument, chiefly through a combination of poor politics
> on my part

Ian,

Don't feel bad that you're not good at politics yet - with my 39th
birthday approaching I'm only just beginning to understand it. If you
feel you've lost arguments through poor politics rather than through
any fault in your logic, it's probably appropriate for us to put
someone on the FHS who can maintain the necessary _distance_ required
for this sort of argument. We value your services tremendously, and
would be happy to see you spend more time on your thesis, dpkg/dselect,
etc.

> ...with which I have very strong disagreements:
>  * The mail spool, /var/spool/mail, is moved to /var/mail.
>  * /var/lib is renamed to /var/state (yes, all of it).
>  * /var/lib/games is moved to /var/games.
>  * A new directory /usr/libexec is created to hold command binaries
>   used only internally by programs - these are to be moved from
>   /usr/lib and in some cases /usr/sbin.  Oddly there is no
>   corresponding /libexec directory.

I'd be inclined to live with it. We can do the usual symbolic link
hacks for Debian 1.2 to help ease the transition, and remove them for
1.3 . You can sum up anything else you disagree with for us on
debian-devel. I will hear argument and set Debian's position on the
standard. At the very worst, we would make a partial acceptance and
produce a compliance statement that details any areas in which we
depart from the standard.

Thanks for working on this. I'm sorry, I didn't know you had such a
depth of emotional involvement in it.

	Bruce Perens
	Debian Project Leader